#!/bin/sh

set -eux

echo $CONCIERGE_CONFIGURATION

jq -n 'env.CONCIERGE_CONFIGURATION | fromjson'
export stream_source_url="$(jq -r -n 'env.CONCIERGE_CONFIGURATION | fromjson.stream_source_url')"
export stream_target_transport="$(jq -r -n 'env.CONCIERGE_CONFIGURATION | fromjson.stream_target_transport')"
export stream_target_url="$(jq -r -n 'env.CONCIERGE_CONFIGURATION | fromjson.stream_target_url')"

exec ffmpeg -y -nostats -loglevel repeat+level+info \
    -i "$stream_source_url" \
    -c copy \
    -f "$stream_target_transport" \
    "$stream_target_url"
